﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Imports CrystalDecisions.CrystalReports.Engine

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim crystalReport As New ReportDocument()
            crystalReport.Load(Server.MapPath("~/CustomerReport.rpt"))
            Dim dsCustomers As CustomDataSet = GetData()
            crystalReport.SetDataSource(dsCustomers)
            CrystalReportViewer1.ReportSource = crystalReport
        End If
    End Sub

    Private Function GetData() As CustomDataSet
        Dim query As String = "SELECT ShipCity, OrderId FROM Orders WHERE ShipCountry = 'France'"
        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Dim cmd As New SqlCommand(query)
        Using con As New SqlConnection(conString)
            Using sda As New SqlDataAdapter()
                cmd.Connection = con

                sda.SelectCommand = cmd
                Using dsCustomers As New CustomDataSet()
                    sda.Fill(dsCustomers, "DataTable1")
                    Return dsCustomers
                End Using
            End Using
        End Using
    End Function
End Class
